Upstream information

CVE-2010-2640 at MITRE

Description

Array index error in the PK font parser in the dvi-backend component in Evince 2.32 and earlier allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted font in conjunction with a DVI file that is processed by the thumbnailer.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.6
Vector AV:N/AC:H/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 660555 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
  • evince >= 3.20.1-5.66
  • evince-browser-plugin >= 3.20.1-5.66
  • evince-lang >= 3.20.1-5.66
  • evince-plugin-djvudocument >= 3.20.1-5.66
  • evince-plugin-dvidocument >= 3.20.1-5.66
  • evince-plugin-pdfdocument >= 3.20.1-5.66
  • evince-plugin-psdocument >= 3.20.1-5.66
  • evince-plugin-tiffdocument >= 3.20.1-5.66
  • evince-plugin-xpsdocument >= 3.20.1-5.66
  • libevdocument3-4 >= 3.20.1-5.66
  • libevview3-3 >= 3.20.1-5.66
  • nautilus-evince >= 3.20.1-5.66
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.1-5.66
  • typelib-1_0-EvinceView-3_0 >= 3.20.1-5.66
SUSE Linux Enterprise Desktop 12 SP4
  • evince >= 3.20.2-6.22.9
  • evince-browser-plugin >= 3.20.2-6.22.9
  • evince-lang >= 3.20.2-6.22.9
  • evince-plugin-djvudocument >= 3.20.2-6.22.9
  • evince-plugin-dvidocument >= 3.20.2-6.22.9
  • evince-plugin-pdfdocument >= 3.20.2-6.22.9
  • evince-plugin-psdocument >= 3.20.2-6.22.9
  • evince-plugin-tiffdocument >= 3.20.2-6.22.9
  • evince-plugin-xpsdocument >= 3.20.2-6.22.9
  • libevdocument3-4 >= 3.20.2-6.22.9
  • libevview3-3 >= 3.20.2-6.22.9
  • nautilus-evince >= 3.20.2-6.22.9
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.22.9
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.22.9
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
  • evince >= 3.10.3-1.213
  • evince-lang >= 3.10.3-1.213
  • libevdocument3-4 >= 3.10.3-1.213
  • libevview3-3 >= 3.10.3-1.213
  • typelib-1_0-EvinceDocument-3_0 >= 3.10.3-1.213
  • typelib-1_0-EvinceView-3_0 >= 3.10.3-1.213
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • evince >= 3.20.2-6.27.1
  • evince-browser-plugin >= 3.20.2-6.27.1
  • evince-lang >= 3.20.2-6.27.1
  • evince-plugin-djvudocument >= 3.20.2-6.27.1
  • evince-plugin-dvidocument >= 3.20.2-6.27.1
  • evince-plugin-pdfdocument >= 3.20.2-6.27.1
  • evince-plugin-psdocument >= 3.20.2-6.27.1
  • evince-plugin-tiffdocument >= 3.20.2-6.27.1
  • evince-plugin-xpsdocument >= 3.20.2-6.27.1
  • libevdocument3-4 >= 3.20.2-6.27.1
  • libevview3-3 >= 3.20.2-6.27.1
  • nautilus-evince >= 3.20.2-6.27.1
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • evince >= 3.26.0+20180128.1bd86963-2.41
  • evince-devel >= 3.26.0+20180128.1bd86963-2.41
  • evince-lang >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-djvudocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-dvidocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-pdfdocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-psdocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-tiffdocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-xpsdocument >= 3.26.0+20180128.1bd86963-2.41
  • libevdocument3-4 >= 3.26.0+20180128.1bd86963-2.41
  • libevview3-3 >= 3.26.0+20180128.1bd86963-2.41
  • nautilus-evince >= 3.26.0+20180128.1bd86963-2.41
  • typelib-1_0-EvinceDocument-3_0 >= 3.26.0+20180128.1bd86963-2.41
  • typelib-1_0-EvinceView-3_0 >= 3.26.0+20180128.1bd86963-2.41
SUSE Linux Enterprise Server 11 SP1
  • evince >= 2.28.2-0.3.1
  • evince-doc >= 2.28.2-0.3.1
  • evince-lang >= 2.28.2-0.3.1
Patchnames:
slessp1-evince
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP4
  • evince >= 2.28.2-0.7.2
  • evince-doc >= 2.28.2-0.7.2
  • evince-lang >= 2.28.2-0.7.2
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • evince >= 3.20.1-5.66
  • evince-browser-plugin >= 3.20.1-5.66
  • evince-lang >= 3.20.1-5.66
  • evince-plugin-djvudocument >= 3.20.1-5.66
  • evince-plugin-dvidocument >= 3.20.1-5.66
  • evince-plugin-pdfdocument >= 3.20.1-5.66
  • evince-plugin-psdocument >= 3.20.1-5.66
  • evince-plugin-tiffdocument >= 3.20.1-5.66
  • evince-plugin-xpsdocument >= 3.20.1-5.66
  • libevdocument3-4 >= 3.20.1-5.66
  • libevview3-3 >= 3.20.1-5.66
  • nautilus-evince >= 3.20.1-5.66
SUSE Linux Enterprise Server 12 SP4
  • evince >= 3.20.2-6.22.9
  • evince-browser-plugin >= 3.20.2-6.22.9
  • evince-lang >= 3.20.2-6.22.9
  • evince-plugin-djvudocument >= 3.20.2-6.22.9
  • evince-plugin-dvidocument >= 3.20.2-6.22.9
  • evince-plugin-pdfdocument >= 3.20.2-6.22.9
  • evince-plugin-psdocument >= 3.20.2-6.22.9
  • evince-plugin-tiffdocument >= 3.20.2-6.22.9
  • evince-plugin-xpsdocument >= 3.20.2-6.22.9
  • libevdocument3-4 >= 3.20.2-6.22.9
  • libevview3-3 >= 3.20.2-6.22.9
  • nautilus-evince >= 3.20.2-6.22.9
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP1
  • evince >= 3.10.3-1.213
  • evince-lang >= 3.10.3-1.213
  • libevdocument3-4 >= 3.10.3-1.213
  • libevview3-3 >= 3.10.3-1.213
SUSE Linux Enterprise Software Development Kit 11 SP4
  • evince-devel >= 2.28.2-0.7.2
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
  • evince-devel >= 3.20.1-5.66
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.1-5.66
  • typelib-1_0-EvinceView-3_0 >= 3.20.1-5.66
SUSE Linux Enterprise Software Development Kit 12 SP4
  • evince-devel >= 3.20.2-6.22.9
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.22.9
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.22.9
SUSE Linux Enterprise Software Development Kit 12 SP5
  • evince-devel >= 3.20.2-6.27.1
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.27.1
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.27.1
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Software Development Kit 12 SP1
  • evince-devel >= 3.10.3-1.213
  • typelib-1_0-EvinceDocument-3_0 >= 3.10.3-1.213
  • typelib-1_0-EvinceView-3_0 >= 3.10.3-1.213
SUSE Linux Enterprise Workstation Extension 12 SP2
SUSE Linux Enterprise Workstation Extension 12 SP3
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.1-5.66
  • typelib-1_0-EvinceView-3_0 >= 3.20.1-5.66
SUSE Linux Enterprise Workstation Extension 12 SP4
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.22.9
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.22.9
SUSE Linux Enterprise Workstation Extension 12 SP5
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.27.1
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.27.1
SUSE Linux Enterprise Workstation Extension 12
SUSE Linux Enterprise Workstation Extension 12 SP1
  • typelib-1_0-EvinceDocument-3_0 >= 3.10.3-1.213
  • typelib-1_0-EvinceView-3_0 >= 3.10.3-1.213
openSUSE 11.2
  • evince-debuginfo >= 2.28.2-0.3.1
  • evince-debugsource >= 2.28.2-0.3.1
openSUSE 11.2
  • evince >= 2.28.2-0.3.1
  • evince-devel >= 2.28.2-0.3.1
  • evince-lang >= 2.28.2-0.3.1
openSUSE 11.3
  • evince-debuginfo >= 2.30.1-3.3.1
  • evince-debugsource >= 2.30.1-3.3.1
  • nautilus-evince-debuginfo >= 2.30.1-3.3.1
openSUSE 11.3
  • evince >= 2.30.1-3.3.1
  • evince-devel >= 2.30.1-3.3.1
  • evince-lang >= 2.30.1-3.3.1
  • nautilus-evince >= 2.30.1-3.3.1
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • evince >= 0.4.0-25.13.4
Builds
ZYPP Patch Nr: 7309
SUSE Linux Enterprise Software Development Kit 11 SP1
  • evince-devel >= 2.28.2-0.3.1
Builds
SAT Patch Nr: 3769
SUSE Linux Enterprise Desktop 11 SP1
  • evince >= 2.28.2-0.3.1
  • evince-lang >= 2.28.2-0.3.1
Builds
SAT Patch Nr: 3769
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • evince >= 2.28.2-0.3.1
  • evince-doc >= 2.28.2-0.3.1
  • evince-lang >= 2.28.2-0.3.1
Builds
SAT Patch Nr: 3769
openSUSE Leap 15.0
  • evince >= 3.26.0+20180128.1bd86963-lp150.2.4
  • evince-lang >= 3.26.0+20180128.1bd86963-lp150.2.4
  • evince-plugin-pdfdocument >= 3.26.0+20180128.1bd86963-lp150.2.4
  • evince-plugin-psdocument >= 3.26.0+20180128.1bd86963-lp150.2.4
  • libevdocument3-4 >= 3.26.0+20180128.1bd86963-lp150.2.4
  • libevview3-3 >= 3.26.0+20180128.1bd86963-lp150.2.4
  • nautilus-evince >= 3.26.0+20180128.1bd86963-lp150.2.4
  • typelib-1_0-EvinceDocument-3_0 >= 3.26.0+20180128.1bd86963-lp150.2.4
  • typelib-1_0-EvinceView-3_0 >= 3.26.0+20180128.1bd86963-lp150.2.4
Patchnames:
openSUSE Leap 15.0 GA evince
openSUSE Leap 42.1
  • evince >= 3.14.2-2.8
  • evince-lang >= 3.14.2-2.8
  • libevdocument3-4 >= 3.14.2-2.8
  • libevview3-3 >= 3.14.2-2.8
  • nautilus-evince >= 3.14.2-2.8
  • typelib-1_0-EvinceDocument-3_0 >= 3.14.2-2.8
  • typelib-1_0-EvinceView-3_0 >= 3.14.2-2.8
Patchnames:
openSUSE Leap 42.1 GA evince
openSUSE Leap 42.2
  • evince >= 3.20.1-1.5
  • evince-browser-plugin >= 3.20.1-1.5
  • evince-lang >= 3.20.1-1.5
  • evince-plugin-comicsdocument >= 3.20.1-1.5
  • evince-plugin-djvudocument >= 3.20.1-1.5
  • evince-plugin-dvidocument >= 3.20.1-1.5
  • evince-plugin-pdfdocument >= 3.20.1-1.5
  • evince-plugin-psdocument >= 3.20.1-1.5
  • evince-plugin-tiffdocument >= 3.20.1-1.5
  • evince-plugin-xpsdocument >= 3.20.1-1.5
  • libevdocument3-4 >= 3.20.1-1.5
  • libevview3-3 >= 3.20.1-1.5
  • nautilus-evince >= 3.20.1-1.5
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.1-1.5
  • typelib-1_0-EvinceView-3_0 >= 3.20.1-1.5
Patchnames:
openSUSE Leap 42.2 GA evince
openSUSE Leap 42.3
  • evince >= 3.20.1-4.1
  • evince-browser-plugin >= 3.20.1-4.1
  • evince-lang >= 3.20.1-4.1
  • evince-plugin-comicsdocument >= 3.20.1-4.1
  • evince-plugin-djvudocument >= 3.20.1-4.1
  • evince-plugin-dvidocument >= 3.20.1-4.1
  • evince-plugin-pdfdocument >= 3.20.1-4.1
  • evince-plugin-psdocument >= 3.20.1-4.1
  • evince-plugin-tiffdocument >= 3.20.1-4.1
  • evince-plugin-xpsdocument >= 3.20.1-4.1
  • libevdocument3-4 >= 3.20.1-4.1
  • libevview3-3 >= 3.20.1-4.1
  • nautilus-evince >= 3.20.1-4.1
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.1-4.1
  • typelib-1_0-EvinceView-3_0 >= 3.20.1-4.1
Patchnames:
openSUSE Leap 42.3 GA evince
openSUSE Tumbleweed
  • evince >= 3.22.1-1.1
  • evince-browser-plugin >= 3.22.1-1.1
  • evince-devel >= 3.22.1-1.1
  • evince-lang >= 3.22.1-1.1
  • evince-plugin-comicsdocument >= 3.22.1-1.1
  • evince-plugin-djvudocument >= 3.22.1-1.1
  • evince-plugin-dvidocument >= 3.22.1-1.1
  • evince-plugin-pdfdocument >= 3.22.1-1.1
  • evince-plugin-psdocument >= 3.22.1-1.1
  • evince-plugin-tiffdocument >= 3.22.1-1.1
  • evince-plugin-xpsdocument >= 3.22.1-1.1
  • libevdocument3-4 >= 3.22.1-1.1
  • libevview3-3 >= 3.22.1-1.1
  • nautilus-evince >= 3.22.1-1.1
  • typelib-1_0-EvinceDocument-3_0 >= 3.22.1-1.1
  • typelib-1_0-EvinceView-3_0 >= 3.22.1-1.1
Patchnames:
openSUSE Tumbleweed GA evince


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 evince Released
SLED-10-SP4 evince Released
SLES for SAP Applications evince Released
SLES-10-SP3 evince Released
SLES-10-SP4 evince Released
SLES_LTSS-10-SP4 evince Released
SUSE Linux Enterprise Desktop 11 SP1 evince Released
SUSE Linux Enterprise Desktop 11 SP2 evince Released
SUSE Linux Enterprise Desktop 11 SP3 evince Released
SUSE Linux Enterprise Desktop 11 SP4 evince Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search evince Released
SUSE Linux Enterprise Server 11 SP1 evince Released
SUSE Linux Enterprise Server 11 SP1 LTSS evince Released
SUSE Linux Enterprise Server 11 SP2 evince Released
SUSE Linux Enterprise Server 11 SP2 LTSS evince Released
SUSE Linux Enterprise Server 11 SP2 for VMware evince Released
SUSE Linux Enterprise Server 11 SP3 evince Released
SUSE Linux Enterprise Server 11 SP3 LTSS evince Released
SUSE Linux Enterprise Server 11 SP3 for VMware evince Released
SUSE Linux Enterprise Server 11 SP4 evince Released
SUSE Linux Enterprise Server 11 SP4 LTSS evince Released
SUSE Linux Enterprise Server for SAP Business All-in-One evince Released
SUSE Linux Enterprise Software Development Kit 11 SP1 evince Released
SUSE Linux Enterprise Software Development Kit 11 SP2 evince Released
SUSE Linux Enterprise Software Development Kit 11 SP3 evince Released
SUSE Linux Enterprise Software Development Kit 11 SP4 evince Released